Skip to main content
PUT
/
templates
/
{id}
Update template metadata
curl --request PUT \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/templates/{id} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>' \
  --data '
{
  "name": "<string>",
  "templateCategory": "<string>",
  "label": "<string>",
  "alternativeText": "<string>",
  "tags": [
    "<string>"
  ],
  "status": "<string>",
  "variableSchema": [
    {}
  ],
  "config": {}
}
'

Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

appid
string
required

Tenant application ID

Path Parameters

id
string
required

Body

application/json
name
string
templateCategory
string
label
string

Display label shown on notification

alternativeText
string

Plain-text fallback when push is suppressed or rich content cannot render. Sendbird-parity field.

tags
string[]

First-class tags for filtering/segmentation

status
string
variableSchema
object[]
config
object

Response

Template updated